Why do I receive connection error on macOS 10.11 (OS X El Capitan)?

Our products might not work by default on macOS 10.11.x because becasue macOS 10.11.x is somewhat outdated and does not have the latest web certificate from Let's Encrypt which is required for the apps to function properly. But you can install the certificate manually by:

1. Download the certificate from https://letsencrypt.org/certs/isrgrootx1.der
2. Open "Keychain Access", click "System" on the sidebar, then drag the downloaded file into the window to install it.
3. Find "ISRG Root X1" in the list and double click it. There'll be a Trust menu you can open, and then change "Use System Defaults" to "Always Trust". Then close the pop up window and it should ask you to enter your password.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us